Package org.apache.commons.math3.analysis.integration

# Interface UnivariateIntegrator

All Known Implementing Classes:
  `BaseAbstractUnivariateIntegrator`, `IterativeLegendreGaussIntegrator`, `LegendreGaussIntegrator`, `MidPointIntegrator`, `RombergIntegrator`, `SimpsonIntegrator`, `TrapezoidIntegrator`

public interface UnivariateIntegrator
Interface for univariate real integration algorithms.

Since:
  1.2

## Method Summary

Modifier and Type
Method
Description
`double`
`getAbsoluteAccuracy()`
Get the absolute accuracy.
`int`
`getEvaluations()`
Get the number of function evaluations of the last run of the integrator.
`int`
`getIterations()`
Get the number of iterations of the last run of the integrator.
`int`
`getMaximalIterationCount()`
Get the upper limit for the number of iterations.
`int`
`getMinimalIterationCount()`
Get the min limit for the number of iterations.
`double`
`getRelativeAccuracy()`
Get the relative accuracy.
`double`
`integrate(int maxEval, UnivariateFunction f, double min, double max)`
Integrate the function in the given interval.

## Method Details

### getRelativeAccuracy

double getRelativeAccuracy()
Get the relative accuracy.

Returns:
  the accuracy

### getAbsoluteAccuracy

double getAbsoluteAccuracy()
Get the absolute accuracy.

Returns:
  the accuracy

### getMinimalIterationCount

int getMinimalIterationCount()
Get the min limit for the number of iterations.

Returns:
  the actual min limit

### getMaximalIterationCount

int getMaximalIterationCount()
Get the upper limit for the number of iterations.

Returns:
  the actual upper limit

### integrate

double integrate(int maxEval, UnivariateFunction f, double min, double max) throws TooManyEvaluationsException, MaxCountExceededException, MathIllegalArgumentException, NullArgumentException
Integrate the function in the given interval.

Parameters:
  `maxEval` - Maximum number of evaluations.
  `f` - the integrand function
  `min` - the lower bound for the interval
  `max` - the upper bound for the interval
Returns:
  the value of integral
Throws:
  `TooManyEvaluationsException` - if the maximum number of function evaluations is exceeded
  `MaxCountExceededException` - if the maximum iteration count is exceeded or the integrator detects convergence problems otherwise
  `MathIllegalArgumentException` - if `min > max` or the endpoints do not satisfy the requirements specified by the integrator
  `NullArgumentException` - if `f` is `null`.

### getEvaluations

int getEvaluations()
Get the number of function evaluations of the last run of the integrator.

Returns:
  number of function evaluations

### getIterations

int getIterations()
Get the number of iterations of the last run of the integrator.

Returns:
  number of iterations